#include<iostream>
#include<vector>
#include<algorithm>
#include<iomanip>
using namespace std;

bool compare(pair<int, double> p1, pair<int, double> p2)
{
	if (p1.second > p2.second)
		return true;
	else
		return false;
}

int main()
{
	int n; cin >> n;
	vector<pair<int, double>> frilenseri(n);
	for (int i = 0; i < n; i++)
	{
		cin >> frilenseri[i].first;
		cin >> frilenseri[i].second;
	}

	sort(frilenseri.begin(), frilenseri.end(), compare);

	long long suma = 0;
	double max_taksa = DBL_MIN;
	for (int i = 0; i < n; i++)
	{
		suma += frilenseri[i].first;
		double taksa = double(suma) * frilenseri[i].second / 100;
		if (taksa > max_taksa)
			max_taksa = taksa;
	}

	cout << fixed << setprecision(5) << max_taksa;
}